org.apache.fop.render.pdf.pdfbox

## Class PDFWriter

- java.lang.Object
- - org.apache.fop.render.pdf.pdfbox.PDFWriter

- Direct Known Subclasses:
    MergeFontsPDFWriter

      public class PDFWriter
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected UniqueName` | `key`
    `protected boolean` | `keyUsed`
    `protected java.lang.StringBuilder` | `s`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFWriter(UniqueName key, int currentMCID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addCache(float f)`
    `protected void` | `processArg(org.apache.pdfbox.contentstream.operator.Operator op, org.apache.pdfbox.cos.COSBase c)`
    `protected void` | `readPDFArguments(org.apache.pdfbox.contentstream.operator.Operator op, java.util.Collection<org.apache.pdfbox.cos.COSBase> arguments)`
    `java.lang.String` | `writeText(org.apache.pdfbox.pdmodel.common.PDStream pdStream)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### s

          protected java.lang.StringBuilder s

    - #### key

          protected UniqueName key

    - #### keyUsed

          protected boolean keyUsed

  - ### Constructor Detail

    - #### PDFWriter

          public PDFWriter(UniqueName key,
                           int currentMCID)

  - ### Method Detail

    - #### writeText

          public java.lang.String writeText(org.apache.pdfbox.pdmodel.common.PDStream pdStream)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readPDFArguments

          protected void readPDFArguments(org.apache.pdfbox.contentstream.operator.Operator op,
                                          java.util.Collection<org.apache.pdfbox.cos.COSBase> arguments)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### processArg

          protected void processArg(org.apache.pdfbox.contentstream.operator.Operator op,
                                    org.apache.pdfbox.cos.COSBase c)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### addCache

          protected void addCache(float f)

Copyright 2007-2022 The Apache Software Foundation. All Rights Reserved.